Debian Bug report logs - #720725
ITP: gf2x -- Routines for fast arithmetic in GF(2)[x]

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Julien Puydt <julien.puydt@laposte.net>

Date: Sat, 24 Aug 2013 19:30:12 UTC

Owned by: Julien Puydt <julien.puydt@laposte.net>

Severity: wishlist

Fixed in version gf2x/1.1-1

Done: Julien Puydt <julien.puydt@laposte.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#720725; Package wnpp. (Sat, 24 Aug 2013 19:30:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Puydt <julien.puydt@laposte.net>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sat, 24 Aug 2013 19:30:16 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Puydt <julien.puydt@laposte.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gf2x -- Routines for fast arithmetic in GF(2)[x]
Date: Sat, 24 Aug 2013 21:28:52 +0200
Package: wnpp
Severity: wishlist
Owner: Julien Puydt <julien.puydt@laposte.net>
C-Debbugs-Cc: debian-science@lists.debian.org

* Package name    : gf2x
  Version         : 1.1
  Upstream Author : R. Brent, P. Gaudry, E. Thomé, P. Zimmermann
* URL             : http://gf2x.gforge.inria.fr/
* License         : GPL-2+
  Programming Lang: C
  Description     : Routines for fast arithmetic in GF(2)[x]
 GF2X  is a C/C++ software package containing routines for
 fast arithmetic in GF(2)[x] (multiplication, squaring, GCD)
 and searching for irreducible/primitive trinomials.

This package is one of the packages needed for the sagemath
(http://www.sagemath.org) effort.

Cheers,

Snark on #debian-science



Message sent on to Julien Puydt <julien.puydt@laposte.net>:
Bug#720725. (Sun, 25 Aug 2013 08:27:27 GMT) Full text and rfc822 format available.

Message #8 received at 720725-submitter@bugs.debian.org (full text, mbox):

From: Mònica Ramírez Arceda <monica@debian.org>
To: 720725-submitter@bugs.debian.org
Subject: bug 720725 has subject gf2x -- Routines for fast arithmetic in GF(2)[x]
Date: Sun, 25 Aug 2013 10:22:08 +0200
Hi,

What is bug 720725 meant for?
Is it an "intent to package" (ITP)? Or a "request for package"(RFP)?
You should retitle it with the following format:

ITP|RFP: package_name -- package_description

Regards.



Changed Bug title to 'ITP: gf2x -- Routines for fast arithmetic in GF(2)[x]' from 'gf2x -- Routines for fast arithmetic in GF(2)[x]' Request was from Julien Puydt <julien.puydt@laposte.net> to control@bugs.debian.org. (Sun, 25 Aug 2013 08:54:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 15 Sep 2013 20:06:07 GMT) Full text and rfc822 format available.

Reply sent to Julien Puydt <julien.puydt@laposte.net>:
You have taken responsibility. (Tue, 17 Sep 2013 01:03:24 GMT) Full text and rfc822 format available.

Notification sent to Julien Puydt <julien.puydt@laposte.net>:
Bug acknowledged by developer. (Tue, 17 Sep 2013 01:03:24 GMT) Full text and rfc822 format available.

Message #17 received at 720725-close@bugs.debian.org (full text, mbox):

From: Julien Puydt <julien.puydt@laposte.net>
To: 720725-close@bugs.debian.org
Subject: Bug#720725: fixed in gf2x 1.1-1
Date: Tue, 17 Sep 2013 01:00:09 +0000
Source: gf2x
Source-Version: 1.1-1

We believe that the bug you reported is fixed in the latest version of
gf2x, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 720725@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Puydt <julien.puydt@laposte.net> (supplier of updated gf2x package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 24 Aug 2013 21:04:05 +0200
Source: gf2x
Binary: libgf2x1 libgf2x-dev
Architecture: source amd64
Version: 1.1-1
Distribution: sid
Urgency: low
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Julien Puydt <julien.puydt@laposte.net>
Description: 
 libgf2x-dev - Routines for fast arithmetic in GF(2)[x] (development files)
 libgf2x1   - Routines for fast arithmetic in GF(2)[x]
Closes: 720725
Changes: 
 gf2x (1.1-1) UNRELEASED; urgency=low
 .
   * Initial release (Closes: #720725).
Checksums-Sha1: 
 02e9f959099c0117f97175034207b6a64cdc4037 1976 gf2x_1.1-1.dsc
 5e3a4db7c5ebd24a67b6dc92297a4a18e55ead9f 411898 gf2x_1.1.orig.tar.bz2
 154e5b3e08a74556c7a67e323fb252a27dded610 2218 gf2x_1.1-1.debian.tar.gz
 0166fcfbc93eb9ee71b0b2bcfcce520cdaeeb25a 41788 libgf2x1_1.1-1_amd64.deb
 b822cd216755edc7be4745ab32ece92fe1d3133e 27348 libgf2x-dev_1.1-1_amd64.deb
Checksums-Sha256: 
 b83c2717eff5d92b2d3b2300449045f517ac3f4402c25d5cb0cba3fc3062be92 1976 gf2x_1.1-1.dsc
 73b1afba4afccb01102108c533917241e019355f9fc2456bc172d3bfa6778f3d 411898 gf2x_1.1.orig.tar.bz2
 c4f9ce99333d30770734f6f5f1dfc1cf7b890c4d42a0716529fb3701e72a7ef2 2218 gf2x_1.1-1.debian.tar.gz
 8ec11fbd955e5b93636d826de4a9df9d6a167d006360f3067609917cd2291a23 41788 libgf2x1_1.1-1_amd64.deb
 d6f279ed5440c8af431c8ffe194f279bfd5f022f0ac3aa1c8519162d4a219b29 27348 libgf2x-dev_1.1-1_amd64.deb
Files: 
 fbaaa03828690bc9a9911eddb720b745 1976 math optional gf2x_1.1-1.dsc
 cb603fd71d4d7d21256fe49123df0470 411898 math optional gf2x_1.1.orig.tar.bz2
 13ff7d348dd11603cfacecad6eb340fc 2218 math optional gf2x_1.1-1.debian.tar.gz
 ff412006dd1a839996281c52fbd9a1f1 41788 math optional libgf2x1_1.1-1_amd64.deb
 3cfcc33708f95fb8b9a64448afeacf80 27348 libdevel optional libgf2x-dev_1.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCAAGBQJSNfInAAoJEIyCFp2Ozs0q7hoP/2J8HS2IwFBcHvLjgziksOMh
qKSfffLCHpOlWrstfR+88APj8pE8I89Dd2mGHXQUIocabsaY5qAsJE16Xhg4cA3f
hlFuhFAkOKGx425Gj4UPJorPjZAykRcqSaOB/hC3TU7NywwuY2VWdgusPXgYgBIs
nVUxifs4tXPGOnicNkJzvKXLgwGlF2X5pci2kBkl+bUNTLxC1+i+vAdglB7dHTGe
R+X1oA6x+vad2+BDZaSf2XyaYdsGwegkERGEB5g5Rh91PQug+/Y0KrXAexUyKwva
BLFwLYvXxQd3leJRTNNnXvSXB0/JqIHI4dpeOxqKlCSceTQN0IdLi0jQrSaBqGAz
/YgfLalwYC88aqIskVZd4sp6SOmmJ9ZsAcEKw/jvcwcxNzSZF2C3DIN0HMLX4Ea1
ke7bP0QqNTTWjaXMGMCJJwjxuaq8g0YIO7sxZsqV0fIGAW0IEyM/BeN/SivAAmH/
V9PC38gmGuuGiyqm7bWPcDMAnkr1SiT6saL3UZOqiCT5JvJb+4ACc/01/O81vX12
yTznrkni0cfPWzh1Lwi+HRNlwtB27hS3wqvymD6UZkWTOfq+bnNymY2sNoBQJhY+
IxsYDQVvGdDAi0XSYktlczaFPL3B3HReimBi3G4hd681UfKsB6u+V8LFV4kNR/3y
85CBzmC0Rtp47oWEGskx
=4vfr
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 15 Oct 2013 07:27:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:55:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.